evhtp_connection_t Struct Reference

`#include <evhtp.h>`

Collaboration diagram for evhtp_connection_t:
[legend]

## Data Fields

evhtp_t * | htp
struct event_base * | evbase
struct bufferevent * | bev
evthr_t * | thread
evhtp_ssl_t * | ssl
evhtp_hooks_t * | hooks
htparser * | parser
struct event * | resume_ev
struct sockaddr * | saddr
struct timeval | recv_timeo
| conn read timeouts (overrides global) More...
struct timeval | send_timeo
| conn write timeouts (overrides global) More...
evutil_socket_t | sock
evhtp_request_t * | request
| the request currently being processed More...
uint64_t | max_body_size
uint64_t | body_bytes_read
uint64_t | num_requests
evhtp_type | type
| server or client More...
uint16_t | flags
struct evbuffer * | scratch_buf
| always zero'd out after used More...

## Detailed Description

Definition at line 430 of file evhtp/evhtp.h.

## Field Documentation

## bev

struct bufferevent* evhtp_connection_t::bev

Definition at line 433 of file evhtp/evhtp.h.

## body_bytes_read

uint64_t evhtp_connection_t::body_bytes_read

Definition at line 449 of file evhtp/evhtp.h.

## evbase

struct event_base* evhtp_connection_t::evbase

Definition at line 432 of file evhtp/evhtp.h.

## flags

uint16_t evhtp_connection_t::flags

Definition at line 460 of file evhtp/evhtp.h.

## hooks

evhtp_hooks_t* evhtp_connection_t::hooks

Definition at line 440 of file evhtp/evhtp.h.

## htp

evhtp_t* evhtp_connection_t::htp

Definition at line 431 of file evhtp/evhtp.h.

## max_body_size

uint64_t evhtp_connection_t::max_body_size

Definition at line 448 of file evhtp/evhtp.h.

## num_requests

uint64_t evhtp_connection_t::num_requests

Definition at line 450 of file evhtp/evhtp.h.

## parser

htparser* evhtp_connection_t::parser

Definition at line 441 of file evhtp/evhtp.h.

## recv_timeo

struct timeval evhtp_connection_t::recv_timeo

conn read timeouts (overrides global)

Definition at line 444 of file evhtp/evhtp.h.

## request

evhtp_request_t* evhtp_connection_t::request

the request currently being processed

Definition at line 447 of file evhtp/evhtp.h.

## resume_ev

struct event* evhtp_connection_t::resume_ev

Definition at line 442 of file evhtp/evhtp.h.

## saddr

struct sockaddr* evhtp_connection_t::saddr

Definition at line 443 of file evhtp/evhtp.h.

## scratch_buf

struct evbuffer* evhtp_connection_t::scratch_buf

always zero'd out after used

Definition at line 462 of file evhtp/evhtp.h.

## send_timeo

struct timeval evhtp_connection_t::send_timeo

conn write timeouts (overrides global)

Definition at line 445 of file evhtp/evhtp.h.

## sock

evutil_socket_t evhtp_connection_t::sock

Definition at line 446 of file evhtp/evhtp.h.

## ssl

evhtp_ssl_t* evhtp_connection_t::ssl

Definition at line 438 of file evhtp/evhtp.h.

## thread

evthr_t* evhtp_connection_t::thread

Definition at line 435 of file evhtp/evhtp.h.

## type

evhtp_type evhtp_connection_t::type

server or client

Definition at line 451 of file evhtp/evhtp.h.

The documentation for this struct was generated from the following file:

- evhtp/evhtp.h